RSTT 3.2.1 Regional Seismic Travel Time

Loading...
Searching...
No Matches
taup::TPdTaudr< V > Class Template Reference

`#include <TPVelocityModels.h>`

## Public Member Functions
| TPdTaudr (V &v)
| Standard constructor.
| TPdTaudr (const TPdTaudr &ti)
| Copy constructor.
virtual | ~TPdTaudr ()
| Destructor.
TPdTaudr & | operator= (const TPdTaudr &ti)
| Assignment Operator.
double | operator() (double r)
| Function operator that returns the result of the tau integrand evaluated at the input radius r.
void | setP (double p)
| Sets the ray parameter to the input value p.

## Detailed Description

template<class V>
class taup::TPdTaudr< V >

/brief Tau Integrand. Integrating this function over radius yields the Tau function result which when added to p * distance gives the travel time.

This is the 1D radially symetric layered model time integrand given by

                sqrt(r^2 - (p v(r))^2)
    dTau/dr = --------------------------
                       r v(r)

This object requires the velocity model as a template parameter (V) from which the velocity at a radial position (v(r)) is found. The ray parameter (p) is set with the function setP(). The velocity model is set at construction and cannot be changed once defined.

The equation above is defined in the overloaded function operator() which is called by the numerical integration facility to integrate the function.

Definition at line 172 of file TPVelocityModels.h.

## Constructor & Destructor Documentation

## ◆ TPdTaudr() [1/2]

template<class V>

taup::TPdTaudr< V >::TPdTaudr | ( | V & | v | ) |
| inline

Standard constructor.

This is the only means of setting the velocity model into the integrand. The ray parameter is initialized to 0.

Definition at line 180 of file TPVelocityModels.h.

## ◆ TPdTaudr() [2/2]

template<class V>

taup::TPdTaudr< V >::TPdTaudr | ( | const TPdTaudr< V > & | ti | ) |
| inline

Copy constructor.

Definition at line 183 of file TPVelocityModels.h.

## ◆ ~TPdTaudr()

template<class V>

virtual taup::TPdTaudr< V >::~TPdTaudr | ( |  | ) |
| inline virtual

Destructor.

Definition at line 186 of file TPVelocityModels.h.

## Member Function Documentation

## ◆ operator()()

template<class V>

double taup::TPdTaudr< V >::operator() | ( | double | r | ) |
| inline

Function operator that returns the result of the tau integrand evaluated at the input radius r.

Definition at line 201 of file TPVelocityModels.h.

## ◆ operator=()

template<class V>

TPdTaudr & taup::TPdTaudr< V >::operator= | ( | const TPdTaudr< V > & | ti | ) |
| inline

Assignment Operator.

Since the velocity model is set by reference it cannot be changed. The assignment operator simply sets the ray parameter as defined in the input TPdTaudr

Definition at line 193 of file TPVelocityModels.h.

## ◆ setP()

template<class V>

void taup::TPdTaudr< V >::setP | ( | double | p | ) |
| inline

Sets the ray parameter to the input value p.

Definition at line 210 of file TPVelocityModels.h.

The documentation for this class was generated from the following file:

- rstt_v3.2.1/SLBM/include/TPVelocityModels.h